VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vcenter::Vm::Hardware::Parallel::BackingInfo Class Reference
Inheritance diagram for Com::Vmware::Vcenter::Vm::Hardware::Parallel::BackingInfo:

## Avaliable Methods
public method | get_file ()
public method | set_type ()
public method | get_auto_detect ()
public method | set_host_device ()
public method | get_host_device ()
public method | new ()
public method | get_type ()
public method | set_file ()
public method | set_auto_detect ()

## Detailed Description

The `Com::Vmware::Vcenter::Vm::Hardware::Parallel::BackingInfo` class contains information about the physical resource backing a virtual parallel port.

## Member Function Documentation

public method Com::Vmware::Vcenter::Vm::Hardware::Parallel::BackingInfo::get_auto_detect | ( |  | ) |

Gets the value of 'auto_detect' property.

Return values

  auto_detect | - The current value of the field. Flag indicating whether the virtual parallel port is configured to automatically detect a suitable host device. optional#

Code:
click to view
# Number of lines of code in get_auto_detect: 4
sub get_auto_detect {
my ($self, %args) = @_;
return $self->{'auto_detect'};
}

public method Com::Vmware::Vcenter::Vm::Hardware::Parallel::BackingInfo::get_file | ( |  | ) |

Gets the value of 'file' property.

Return values

  file | - The current value of the field. Path of the file backing the virtual parallel port. optional#

Code:
click to view
# Number of lines of code in get_file: 4
sub get_file {
my ($self, %args) = @_;
return $self->{'file'};
}

public method Com::Vmware::Vcenter::Vm::Hardware::Parallel::BackingInfo::get_host_device | ( |  | ) |

Gets the value of 'host_device' property.

Return values

  host_device | - The current value of the field. Name of the device backing the virtual parallel port.

Optional#

Code:
click to view
# Number of lines of code in get_host_device: 4
sub get_host_device {
my ($self, %args) = @_;
return $self->{'host_device'};
}

public method Com::Vmware::Vcenter::Vm::Hardware::Parallel::BackingInfo::get_type | ( |  | ) |

Gets the value of 'type' property.

Return values

  type | - The current value of the field. Backing type for the virtual parallel port. BackingType#

Code:
click to view
# Number of lines of code in get_type: 4
sub get_type {
my ($self, %args) = @_;
return $self->{'type'};
}

public method Com::Vmware::Vcenter::Vm::Hardware::Parallel::BackingInfo::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vcenter::Vm::Hardware::Parallel::BackingInfo structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 30
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
$validatorList = [
new Com::Vmware::Vapi::Data::UnionValidator(
'discriminant_name' => 'type',
'case_map' => {
'FILE' => ['file'],
'HOST_DEVICE' => ['host_device', 'auto_detect'],
}),
];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{type} = $args{'type'};
$self->{file} = $args{'file'};
$self->{host_device} = $args{'host_device'};
$self->{auto_detect} = $args{'auto_detect'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vcenter::Vm::Hardware::Parallel::BackingInfo');
$self->set_binding_name('name' => 'com.vmware.vcenter.vm.hardware.parallel.backing_info');
$self->set_binding_field('key' => 'type', 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vcenter::Vm::Hardware', 'type_name' => 'Parallel::BackingType'));
$self->set_binding_field('key' => 'file', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
$self->set_binding_field('key' => 'host_device', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
$self->set_binding_field('key' => 'auto_detect', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::BooleanType()));
bless $self, $class;
return $self;
}

public method Com::Vmware::Vcenter::Vm::Hardware::Parallel::BackingInfo::set_auto_detect | ( |  | ) |

Sets the given value for 'auto_detect' property.

Parameters

  auto_detect | - New value for the field. Flag indicating whether the virtual parallel port is configured to automatically detect a suitable host device.

Code:
click to view
# Number of lines of code in set_auto_detect: 5
sub set_auto_detect {
my ($self, %args) = @_;
$self->{'auto_detect'} = $args{'auto_detect'};
return;
}

public method Com::Vmware::Vcenter::Vm::Hardware::Parallel::BackingInfo::set_file | ( |  | ) |

Sets the given value for 'file' property.

Parameters

  file | - New value for the field. Path of the file backing the virtual parallel port.

Code:
click to view
# Number of lines of code in set_file: 5
sub set_file {
my ($self, %args) = @_;
$self->{'file'} = $args{'file'};
return;
}

public method Com::Vmware::Vcenter::Vm::Hardware::Parallel::BackingInfo::set_host_device | ( |  | ) |

Sets the given value for 'host_device' property.

Parameters

  host_device | - New value for the field. Name of the device backing the virtual parallel port.

Code:
click to view
# Number of lines of code in set_host_device: 5
sub set_host_device {
my ($self, %args) = @_;
$self->{'host_device'} = $args{'host_device'};
return;
}

public method Com::Vmware::Vcenter::Vm::Hardware::Parallel::BackingInfo::set_type | ( |  | ) |

Sets the given value for 'type' property.

Parameters

  type | - New value for the field. Backing type for the virtual parallel port.

Code:
click to view
# Number of lines of code in set_type: 5
sub set_type {
my ($self, %args) = @_;
$self->{'type'} = $args{'type'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vcenter/Vm/Hardware/Parallel.pm